Subject: Re: bug#31037: 27.0.50; Misleading info in Introduction to Programming in Emacs Lisp

From: Stefan Kangas <[email-masked]>
Date: Sat, 28 Sep 2019 20:29:24 +0200

Marcin Borkowski <[email-masked]> writes:

>>> (info "eintro")
>>>
>>> yields
>>>
>>> --8<---------------cut here---------------start------------->8---
>>> An Introduction to Programming in Emacs Lisp
>>> ********************************************
>>>
>>> This is an ‘Introduction to Programming in Emacs Lisp’, for people who
>>> --8<---------------cut here---------------end--------------->8---
>>>
>>> If I want to actually cite Chassell's book, it is (a) not obvious who
>>> the author is (the name can be found at the end of the preface and in
>>> the "About the author" section, but not on the title page, where it
>>> should be!), and (b) completely not obvious how to cite the book - is
>>> the official title "An Introduction to Programming in Emacs Lisp" or
>>> "Introduction to Programming in Emacs Lisp"?
>>
>> You are looking in the wrong place for this information.  The Info
>> format of a book is not a book, it's an on-line documentation file.
>> For the book details, you should either (a) look at the Texinfo
>> sources, or (b) produce a PDF or DVI/PS format, and look there.  (The
>> former is much easier, of course, if you have the sources.)
>
> I disagree.  A book is a book, it shouldn't matter whether its dead
> wood, pdf, html, texi or info.
>
> Also, the pdf says (p. 3)
>
> "An Introduction to Programming in Emacs Lisp",
>
> then
>
> "This is an /Introduction to Programming in Emacs Lisp/, for people who
> are not programmers." (p. 4),
>
> and then
>
> "This introduction to /Programming in Emacs Lisp/ has a companion
> document" (p. 14).
>
> So the pdf is also kind of a mess.  Still looks like a bug to me.

It seems to me that the canonical title is "An Introduction to
Programming in Emacs Lisp".  That's what's available at:

https://shop.fsf.org/books/signed-introduction-programming-emacs-lisp-3rd-edition

I also find in emacs-lisp-intro.texi:

> @c half title; two lines here, so do not use 'shorttitlepage'
> @tex
> {\begingroup%
>     \hbox{}\vskip 1.5in \chaprm \centerline{An Introduction to}%
>         \endgroup}%
> {\begingroup\hbox{}\vskip 0.25in \chaprm%
>         \centerline{Programming in Emacs Lisp}%
>         \endgroup\page\hbox{}\page}
> @end tex
>
> @titlepage
> @sp 6
> @center @titlefont{An Introduction to}
> @sp 2
> @center @titlefont{Programming in Emacs Lisp}
> @sp 2
> @center Revised Third Edition
> @sp 4
> @center by Robert J. Chassell

The attached patch fixes the reported inconsistencies.  Any objections?

Best regards,
Stefan Kangas
From 117c3c7f54dc68b433e279793f8017eeef0d63fa Mon Sep 17 00:00:00 2001
From: Stefan Kangas <[email-masked]>
Date: Sat, 28 Sep 2019 20:27:10 +0200
Subject: [PATCH] Fix title inconsistencies in elisp intro book

* doc/lispintro/emacs-lisp-intro.texi: Fix title
inconsistencies.  (Bug#31037)
---
 doc/lispintro/emacs-lisp-intro.texi | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/doc/lispintro/emacs-lisp-intro.texi b/doc/lispintro/emacs-lisp-intro.texi
index 22ea655d59..3e43f7f09f 100644
--- a/doc/lispintro/emacs-lisp-intro.texi
+++ b/doc/lispintro/emacs-lisp-intro.texi
@@ -103,7 +103,7 @@
 @end direntry
 
 @copying
-This is an @cite{Introduction to Programming in Emacs Lisp}, for
+This is @cite{An Introduction to Programming in Emacs Lisp}, for
 people who are not programmers.
 @sp 1
 @iftex
@@ -892,8 +892,8 @@ Who You Are
 paragraphs.  This book is intended as an approachable hill, rather than
 as a daunting mountain.
 
-This introduction to @cite{Programming in Emacs Lisp} has a companion
-document,
+This book, @cite{An Introduction to Programming in Emacs Lisp}, has a
+companion document,
 @iftex
 @cite{The GNU Emacs Lisp Reference Manual}.
 @end iftex
-- 
2.20.1